### Run docker container 
```
docker run -it --name env_nor \
  --net=host \
  --privileged \
  -v /iot_env/tools:/opt/toolchains \
  -v /iot_env/venv:/opt/venv \
  -v /mnt/MyNAS/iot:/mnt \
  walker2048/iot_env
```
Duration: 3

To include code snippets you can do a few things. 
- Inline highlighting can be done using the tiny tick mark on your keyboard: "`"
- Embedded code

```
git clone https://gitee.com/EspressifSystems/esp-gitee-tools.git
git clone https://gitee.com/EspressifSystems/esp-idf.git
cd esp-idf

git checkout 4.4
../esp-gitee-tools/submodule-update.sh

sed -i 's,"url": "https://github.com/,"url": "https://dl.espressif.com/github_assets/,g' tools/tools.json
./install.sh esp32-c3

export IDF_GITHUB_ASSETS="dl.espressif.com/github_assets" 

wget -c  https://repo.huaweicloud.com/harmonyos/compiler/ninja/1.9.0/linux/ninja.1.9.0.tar
tar -xvf ninja.1.9.0.tar  && cp -v ninja/ninja tools/ninja && rm -rf ninja
```
c_cpp_profiele
{
    "configurations": [
        {
            "name": "ESP32",
            "includePath": [
                "${workspaceFolder}/**"
            ],
            "cStandard": "c99",
            "compileCommands": "${workspaceFolder}/build/compile_commands.json"
        }
    ],
    "version": 4
}